i.MX8QXP的MIPI-DSI时钟最小限制在74.25MHz?

キャンセル
次の結果を表示 
表示  限定  | 次の代わりに検索 
もしかして: 

i.MX8QXP的MIPI-DSI时钟最小限制在74.25MHz?

1,097件の閲覧回数
baijinlong
Contributor III

各位好:

   我在i.MX8QXP上适配一个MIPI-DSI接口1280*720 4*lane的显示器,需求时钟应该在64MHz左右,但是我在配置的时候,发现时钟最小只能配置到74.25MHz,当我配置时钟小于74.25MHz时,启动log如下,显示器并不能正常工作。

[ 1.435162] imx-drm display-subsystem: bound imx-drm-dpu-bliteng.2 (ops dpu_bliteng_ops)
[ 1.443853] imx-drm display-subsystem: bound imx-dpu-crtc.0 (ops dpu_crtc_ops)
[ 1.451569] imx-drm display-subsystem: bound imx-dpu-crtc.1 (ops dpu_crtc_ops)
[ 1.459136] jd9365z_panel_probe jd9365z in
[ 1.463622] nwl-mipi-dsi 56228000.mipi_dsi_bridge: [drm:nwl_dsi_host_attach] lanes=4, format=0x0 flags=0x413
[ 1.473471] jd9365z_panel_probe sucess
[ 1.477535] imx-drm display-subsystem: bound mipi_dsi@56228000 (ops imx_nwl_dsi_component_ops)
[ 1.486240] [drm] Cannot find any crtc or sizes
[ 1.491323] [drm] Initialized imx-drm 1.0.0 20120507 for display-subsystem on minor 0

当配置时钟大于74.25MHz时,启动log如下。显示器相关初始化成功,但是显示效果仍然不正常。

[ 1.435213] imx-drm display-subsystem: bound imx-drm-dpu-bliteng.2 (ops dpu_bliteng_ops)
[ 1.443908] imx-drm display-subsystem: bound imx-dpu-crtc.0 (ops dpu_crtc_ops)
[ 1.451907] imx-drm display-subsystem: bound imx-dpu-crtc.1 (ops dpu_crtc_ops)
[ 1.459498] jd9365z_panel_probe jd9365z in
[ 1.463975] nwl-mipi-dsi 56228000.mipi_dsi_bridge: [drm:nwl_dsi_host_attach] lanes=4, format=0x0 flags=0x413
[ 1.473823] jd9365z_panel_probe sucess
[ 1.477878] imx-drm display-subsystem: bound mipi_dsi@56228000 (ops imx_nwl_dsi_component_ops)
[ 1.581021] jd9365z_panel_enable
[ 1.927497] Console: switching to colour frame buffer device 90x80
[ 1.951151] imx-drm display-subsystem: fb0: frame buffer device
[ 1.957717] [drm] Initialized imx-drm 1.0.0 20120507 for display-subsystem on minor 0

我在论坛上看到一些相关的讨论

[drm] Cannot find any crtc or sizes

Display pixel clock limitation to 74.25 MHz 

请问一下,我需要做什么配置,才能正确配置DSI的工作时钟为64MHz?

谢谢

タグ(1)
0 件の賞賛
3 返答(返信)

951件の閲覧回数
jimmychan
NXP TechSupport
NXP TechSupport

Which version of BSP are you using?

The L4.19.35 already had the patches.

https://source.codeaurora.org/external/imx/linux-imx/log/?h=imx_4.19.35_1.1.0&qt=grep&q=mlk-21958 

Please try the latest version of BSP.

0 件の賞賛

951件の閲覧回数
baijinlong
Contributor III

Hi,jimmychan:

   非常感谢回复,我当前使用bsp为imx_4.14.98-2.3.0,用于i.MX8QXP C0。

   

   请问一下,有没有imx_4.14.98-2.3.0基础上的patch?

0 件の賞賛

951件の閲覧回数
jimmychan
NXP TechSupport
NXP TechSupport

Sorry, no.

I prefer you to use the L4.19.35 

0 件の賞賛